### Name: fwtnpperm
### Title: Perform a modified version of the lifting algorithm
### Aliases: fwtnpperm
### Keywords: methods

### ** Examples

#construct an irregular grid of length 256
input<-runif(256)

#now construct a Doppler signal on the grid above 
f<-make.signal2("doppler",x=input)

#generate the vector which will indicate the order of point removal that will be followed by the modified lifting algorithm (i.e. the trajectory)
#vec below gives the first (length(input)-nkeep) entries of a random permutation of (1:length(input)) 
vec<-sample(1:256,254,FALSE)

#now transform the initial signal (input,f) into a set of wavelet and scaling coefficients by using a modified lifting transform 
#that follows the removal order in vec and linear regression prediction steps and neighbourhoods of size 2 in symmetrical configuration
#the set of scaling and detail coefficients can be found in out$coeff
out<-fwtnpperm(input,f,LocalPred=LinearPred,neighbours=1,closest=FALSE,intercept=TRUE,nkeep=2,mod=vec) 



