### Name: transmatdualperm
### Title: Compute the matrix associated to the modified lifting algorithm
### Aliases: transmatdualperm
### Keywords: methods

### ** Examples

#construct the grid locations
x<-runif(256)

#construct a signal 
f<-runif(256) 

#generate the vector which will indicate the order of point removal that will be followed by the modified lifting algorithm (i.e. the trajectory)
#vec below gives the first (length(x)-keep) entries of a random permutation of (1:length(x)) 
vec<-sample(1:256,254,FALSE)  

#now you can transform the initial signal (x,f) into a set of wavelet and scaling coefficients, and work out the matrix associated to the transform 
#in the example below, the lifting transform follows the path given by vec and adaptive prediction steps with neighbourhoods of sizes at most 2 
#the matrix associated to the transform is given by out$Wnew, and the output from the modified lifting transform is found in out$out
out<-transmatdualperm(x,f,Pred=AdaptNeigh,neigh=1,clo=TRUE,keep=2,perm=vec) 



